# This package installs extensions to directory which is arch-specified,
# in order to prevent useless debuginfo package generated, we should ignore
# this step. And that's why we split out the -core subpackage.
%global debug_package %{nil}

Name:           rabbitvcs  
Version:        0.16
Release:        1%{?dist}
Summary:        Graphical user interface to version control systems
License:        GPLv2+
URL:            http://www.rabbitvcs.org/
Source0:        https://github.com/rabbitvcs/rabbitvcs/archive/v%{version}.tar.gz
BuildRequires:  pygtk2-devel
BuildRequires:  python2-devel

%description
RabbitVCS is a set of graphical tools written to provide simple
and straightforward access to the version control systems you use.

%package        core
Summary:        Core package of RabbitVCS
BuildArch:      noarch
Requires:       dbus-python
#FIXME, should we add them?
#Requires:       git
#Requires:      mercurial
Requires:       meld
Requires:       pygtk2
Requires:       pygtk2-libglade
Requires:       pysvn
Requires:       python-configobj
Requires:       python-dulwich
Requires:       subversion
Obsoletes:      rabbitvcs <= 0.13.1
Obsoletes:      rabbitvcs-git
Obsoletes:      rabbitvcs-svn

%description    core
Contains packages shared between the RabbitVCS extensions.

%package        cli
Summary:        CLI extension for RabbitVCS
BuildArch:      noarch
Requires:       rabbitvcs-core = %{version}-%{release}

%description    cli
RabbitVCS is a set of graphical tools written to provide simple and 
straightforward access to the version control systems you use. This is the 
extension for command line interface.

#I can't figure out how to get it work with caja, so I temporarily disable it.
#%package        caja
#Summary:        Caja extension for RabbitVCS
#Requires:       rabbitvcs-core = %{version}-%{release}
#Requires:       caja
#Requires:       python-caja
#Requires:       dbus-python

#%description    caja
#An extension for Caja to allow better integration with the 
#Subversion source control system.

%package        nautilus
Summary:        Nautilus extension for RabbitVCS
Requires:       rabbitvcs-core = %{version}-%{release}
Requires:       nautilus
Requires:       nautilus-python
Requires:       dbus-python
Obsoletes:      nautilussvn < 0.13

%description    nautilus
RabbitVCS is a set of graphical tools written to provide simple and 
straightforward access to the version control systems you use. This is the 
extension for the Nautilus file manager.

%package        thunar
Summary:        Thunar extension for RabbitVCS
Requires:       rabbitvcs-core = %{version}-%{release}
Requires:       thunar
Requires:       thunarx-python
Requires:       dbus-python

%description    thunar
An extension for Thunar to allow better integration with the 
Subversion source control system.

%package        gedit
Summary:        Gedit extension for RabbitVCS
Requires:       rabbitvcs-core = %{version}-%{release}
Requires:       gedit

%description    gedit
RabbitVCS is a set of graphical tools written to provide simple and 
straightforward access to the version control systems you use. This is the 
extension for gedit text editor

%prep
%setup -q

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install --skip-build --root %{buildroot}

# Installing Nautilus extension
mkdir -p %{buildroot}%{_datadir}/nautilus-python/extensions/
install -pm644 clients/nautilus-3.0/RabbitVCS.py %{buildroot}%{_datadir}/nautilus-python/extensions/

# Installing Thunar Extension
mkdir -p %{buildroot}%{_libdir}/thunarx-2/python/
install -pm644 clients/thunar/RabbitVCS.py %{buildroot}%{_libdir}/thunarx-2/python/

# Installing Gedit Extension
mkdir -p %{buildroot}%{_libdir}/gedit/plugins/
install -pm644 clients/gedit/%{name}-plugin.py %{buildroot}%{_libdir}/gedit/plugins/
install -pm644 clients/gedit/%{name}-gedit3.plugin %{buildroot}%{_libdir}/gedit/plugins/%{name}.plugin

# Installing Caja extension
#mkdir -p %{buildroot}%{_libdir}/caja/extensions-2.0/python/
#install -pm644 clients/caja/RabbitVCS.py %{buildroot}%{_libdir}/caja/extensions-2.0/python/

# Installing CLI Extension
mkdir -p %{buildroot}%{_bindir}
install -pm755 clients/cli/%{name} %{buildroot}%{_bindir}/

# Use %%doc macro to handle documents.
rm -frv %{buildroot}%{_defaultdocdir}/%{name}

%find_lang RabbitVCS

%post core
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun core
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans core
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f RabbitVCS.lang core
%doc AUTHORS COPYING MAINTAINERS
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/16x16/actions/rabbitvcs-push.png
%{_datadir}/icons/hicolor/scalable/*/*.svg
%{python2_sitelib}/%{name}/
%{python2_sitelib}/%{name}-%{version}*-py%{python2_version}.egg-info

#%files caja
#%{_libdir}/caja/extensions-2.0/python/RabbitVCS.py*

%files cli
%{_bindir}/%{name}

%files gedit
%{_libdir}/gedit/plugins/%{name}-plugin.py*
%{_libdir}/gedit/plugins/%{name}.plugin

%files nautilus
%{_datadir}/nautilus-python/extensions/RabbitVCS.py*

%files thunar
%{_libdir}/thunarx-2/python/RabbitVCS.py*

%changelog
* Mon Mar 03 2014 Christopher Meng <rpm@cicku.me> - 0.16-1
- Update to 0.16

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15.0.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15.0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Mar 11 2012 Julian Sikorski <belegdol@fedoraproject.org> - 0.15.0.5-1
- Updated to 0.15.0.5, BZ 760682.
- Dropped obsolete Group, Buildroot, %%clean and %%defattr
- tar.gz → tar.bz2
- Adjusted the paths for Gnome 3
- Re-added Group, Jon Ciesla limburgher@gmail.com

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Sep 21 2011 Juan Rodriguez <nushio@fedoraproject.org> - 0.14.2.1-3
- Adds a dependency to python-dulwich so the git plugin can work
- Removes rabbitvcs-git and rabbitvcs-svn

* Tue Sep 13 2011 Juan Rodriguez <nushio@fedoraproject.org> - 0.14.2.1-2
- Removes Nautilus dependency on rabbitvcs-core

* Tue Sep 13 2011 Juan Rodriguez <nushio@fedoraproject.org> - 0.14.2.1-1
- Updated package to 0.14.2.1
- Added Thunar Plugin

* Mon Feb 14 2011 Juan Rodriguez <nushio@fedoraproject.org> - 0.14.1.1-1
- Updated Package to 0.14.1.1
- Lots of speed improvements. 
- Git and SVN support separated and are now optional
- Changelog for 0.14.1.1: http://blog.rabbitvcs.org/archives/284
- Changelog for 0.14.1: http://blog.rabbitvcs.org/archives/280
- Changelog for 0.14: http://blog.rabbitvcs.org/archives/277

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jul 31 2010 Thomas Spura <tomspur@fedoraproject.org> - 0.13.3-2
- Rebuild for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Wed Jun 16 2010 Juan Rodriguez <nushio@fedoraproject.org> - 0.13.3-1
- Fixes a *lot* of bugs
- No longer forces English as the language
- Gedit plugin should work now

* Sun Jun 6 2010 Juan Rodriguez <nushio@fedoraproject.org> - 0.13.2.1-2
- Fixes the package creation

* Sun Jun 6 2010 Juan Rodriguez <nushio@fedoraproject.org> - 0.13.2.1-1
- Fixes a crash left by a debug flag.

* Mon May 31 2010 Juan Rodriguez <nushio@fedoraproject.org> - 0.13.2-1
- Updated to version 0.13.2.

* Thu May 27 2010 Juan Rodriguez <nushio@fedoraproject.org> - 0.13.1-3
- Now obsoletes rabbitvcs
- Fixes svg permission ownage

* Wed May 26 2010 Juan Rodriguez <nushio@fedoraproject.org> - 0.13.1-2
- rabbitvcs-core is now noarch
- rabbitvcs-cli is now noarch

* Wed Apr 28 2010 Juan Rodriguez <nushio@fedoraproject.org> - 0.13.1-1
- Rebased to 13.1

* Fri Mar 19 2010 Juan Rodriguez <nushio@fedoraproject.org> - 0.13-2
- The split packages are now bundled into a single tarball. 
- Changed some requires versions. 
- Thunar and NautilusOld packages are no longer being provided. 
- Updated Python macros to the newly approved ones
- Changed URL, Summary and Descriptions for all packages / subpackages
- Package is no longer noarch

* Thu Feb 11 2010 Juan Rodriguez <nushio@fedoraproject.org> - 0.13-1
- Updated RabbitVCS to 0.13
- Split packages for nautilus, nautilus-old, thunar, gedit and cli
- Requires nautilus-python >= 0.5.2 so 64bit users can use rabbitvcs. 

* Thu Dec 17 2009 Juan Rodriguez <nushio@fedoraproject.org> - 0.12.1-2
- Cleaned up Icon Script
- Added AUTHORS, COPYING and MAINTAINERS

* Tue Dec 1 2009 Juan Rodriguez <nushio@fedoraproject.org> - 0.12.1-1
- Updated to RabbitVCS 0.12.1
- Added SSL Client Cert prompt 
- Updated "previous log message" UI behaviour
- Updated locale detection
- Improvements for packaging scripts

* Sat Oct 3 2009 Juan Rodriguez <nushio@fedoraproject.org> - 0.12-1
- Renamed from NautilusSVN to RabbitVCS to match upstream. 
- Calls gtk-update-icon-cache to regenerate the icon cache
